import {Injectable} from '@angular/core'
import {ApiService} from '../../shared/service/api.service'
import {Observable} from 'rxjs'

@Injectable({
  providedIn: 'root'
})
export class InventoryService {
  constructor(
    private api: ApiService
  ) {
  }

  add(material: number, quantity: number): Observable<MaterialQuantity[]> {
    return this.api.put<MaterialQuantity[]>('/material/inventory/add', [{material, quantity}])
  }

  deduct(materialQuantities: [{material: number, quantity: number}]): Observable<MaterialQuantity[]> {
    return this.api.put<MaterialQuantity[]>('/material/inventory/deduct', materialQuantities)
  }
}

export class MaterialQuantity {
  constructor(
    public material: number,
    public quantity: number
  ) {
  }
}
